.TH chord l "27 August 1992" "Utilities"
.SH NAME
chord \- format lyrics and chord file
.SH SYNOPSIS
.B chord
[-option ...] [ filename... ]
.SH DESCRIPTION
.I chord
produces a postscript document from a lyrics file containing chord
indications and chorus delimiters. If no file name is supplied, 
.I chord
reads from the standard input.
The document produced contains the lyrics of a song, with the guitar chords
appearing above the right words. A representation of all chords used in the
song is printed at the bottom of the last page.

.SH OPTIONS
.TP 8
.B \-c \fIchord_font size\fB
Sets the size, in points, of the font used to display chords to the specified
integer value.
.TP 8
.B \-C \fIChord_font\fB
Sets the font used to print chords to the specified name. That name must be
known to your PostScript Interpreter.
.TP 8
.B \-d
Dumps the list and description of all internally known chords.
.TP 8
.B \-D
Prints debugging information. For programmers only.
.TP 8
.B \-g \fIgrid_size\fB
Sets the size of the chord grids.
.TP 8
.B \-h
Prints a short options summary.
.TP 8
.B \-l
Prints only the lyrics of the song.
.TP 8
.B \-t \fItext_font size\fB
Sets the size, in points, of the font used to display the lyrics to the
specified integer value. The title
line is displayed using that point size + 5. The sub-tiltle is displayed
using that point size -2.
.TP 8
.B \-T \fIText_font\fB
Sets the font used to print text to the specified name. That name must be
known to your PostScript Interpreter.
.TP 8
.B \-V
Prints version and patch level
.TP 8
.B \-x \fIhalf-tones\fB
Sets up transposition to that number of half-tones. Can not be zero. All
chord names must be build in the following way in order to be recognized:

{note-name}[#|b][^/]* [ '/' {note-name}[#|b][^/]* ]

That is, a valid note name, possibly followed by '#' or 'b', followed by
other modifier ('7', 'm', etc...). Many such construct can make up a chord
name, as long as they are separated by '/'.

{note-name} must appear in the list 'A','B','C','D','E','F','G'.
.TP 8
.B \-2
Prints two logical pages per physical page.
.TP 8
.B \-4
Prints four logical pages per physical page.
.TP
.BI \-i " file"
Generates a table of contents with the song titles and page numbers.  If \fIfile\fR is "-" the table of contents is written to stderr.
.TP
.B \-a 
Automatically single spaces lines that have no chords.
.TP
.BI \-p " first_page" 
Numbers the pages consecutively starting with \fIfirst_page\fR (e.g. 1).
Without this option, each song restarts the page numbering at 1, and page
numbers are only put on subsequent pages of multiple page songs.
.TP
.B \-R 
Places the odd and even page numbers in the lower right and left corners respectively (for two-sided output).  The default is all page numbers on the right.
.TP
.B \-L 
Places the odd page numbers on the left.

.SH KEYWORDS
A line starting with a '#' is interpreted as a comment, and generates no output.
(although all your comments are automatically mailed to the authors, and we read them
at parties...)

Directives that  appear between french brackets ('{' and '}') have a
special meaning. They must be alone on a line. Blanks before the
opening bracket and after the closing bracket are not significant.

Blanks inside a directive are significant.

Known directives are:
.TP 8
.B \fBstart_of_chorus\fR or \fBsoc\fR
which indicates the start of a chorus (yep). The complete chorus will
be highlighted by a change bar, to be easily located by the player.
.TP 8
.B \fBend_of_chorus\fR or \fBeoc\fR
marks the end of the chorus
.TP 8
.B \fBcomment:\fR or \fBc:\fR
will call the printing of the rest of the line, highlighted by a grey box
(Useful to call a chorus, for example)
.TP 8
.B \fBnew_song\fR or \fBns\fR
marks the beginning of a new song. It enables you to put multiple songs
in one file. It is not required at the beginning of the file.
.TP 8
.B \fBtitle:\fR or \fBt:\fR
specifies the title of the song. It will appear centered at the top of the first
page, and at the bottom of every other page, accompanied there by the
page number, within the current song.
.TP 8
.B \fBsubtitle:\fR or \fBst:\fR
specifies a string to be printed right below the title. Many subtitles can be
specified
.TP 8
.B \fBdefine: name offset str1 ... str6\fB
defines a new chord called "name", starting at fret "offset".
The following numbers
are the fret number [ 1 to n ] for each string [str1 to str6]
and are RELATIVE to the offset.  A value of "-" as 
the fret number on a string means that string is not played.
Open strings indicated with a fret value of 0 are represented by a small open circle above the string.
A value of "x" or "X" as the fret number means that string is to be buffed,
or silenced. This will be represented by an "x" appearing above the string.
The strings are numbered in descending order of tonality, starting on the
high E (the bottom string).

At the beginning of every song, the default chords are loaded and the ~/.chordrc
file is re-read. Definition of new chords are preserved for the remainder of the
execution, or until redefined by the user.
.TP 8
.B textfont: postscript_font
same as -T command option
.TP 8
.B textsize: n
same as -t command option
.TP 8
.B chordfont: postscript_font
same as -C command option
.TP 8
.B chordsize: n
same as -c command option
.SH FILES
.TP 8
.B $HOME/.chordrc
Initial directives re-read after each song.
.SH COPYRIGHT
Copyright 1992 by Martin Leclerc and Mario Dorion
.SH AUTHORS
Martin Leclerc
(martin.lecl...@canada.sun.com)

Mario Dorion
(mario.dor...@canada.sun.com)


.SH CONTRIBUTORS
Steve Putz (p...@parc.xerox.com)
Jim Gerland (GERL...@ubvms.cc.buffalo.edu)
